[tex-live] gsftopk puts .pk files into ~/texmf/

Hartmut Henkel hartmut_henkel at gmx.de
Mon Feb 26 01:48:22 CET 2007


Hi Karl,

On Sun, 25 Feb 2007, Karl Berry wrote:

>     seems if there is a ~/texmf/ directory tree, then .pk files generated by
>
> Hmm, I don't see anything that would cause TEXMFHOME to necessarily be
> used.  I don't think it happens for me, though I'm not sure I'm
> reproducing the exact situation.  Can you send your yy.tex?

here it is:

\pdfmapline{} \font\ptmr ptmr8r at 10pt \ptmr abc \bye

> And, can you run sh -vx mktexpkf from the command line?

$sh -vx mktexpk ptmr8r 1200

gives the attached mktexpk.log.

Regards, Hartmut
-------------- next part --------------
#!/bin/sh
# original mktexpk -- make a new PK font, because one wasn't found.
# 
# (If you change or delete the word `original' on the previous line,
# installation won't write this script over yours.)
# 
# te at dbs.uni-hannover.de, kb at mail.tug.org, and infovore at xs4all.nl.
# Public domain.

version='$Id: mktexpk,v 1.34 2005/06/21 10:49:10 olaf Exp $'
+ version=$Id: mktexpk,v 1.34 2005/06/21 10:49:10 olaf Exp $
progname=`echo $0 | sed 's%.*/%%'`
echo $0 | sed 's%.*/%%'
++ echo mktexpk
++ sed 's%.*/%%'
+ progname=mktexpk
usage="Usage: $progname [OPTIONS] NAME [REDIRECT],
  Create a PK font.

--dpi DPI           use resolution DPI.
--bdpi BDPI         use base resolution BDPI.
--mag MAG           use magnificiation MAG.
--mfmode MODE       use MODE as the METAFONT mode.
--destdir DESTDIR   write fonts in DESTDIR.

Try to create a PK file for NAME at resolution DPI, with an assumed
device base resolution of BDPI, and a Metafont \`mag' of MAG. Use MODE
for the METAFONT mode.  Use DESTDIR for the root of where to install
into, either the absolute directory name to use (if it starts with a
/) or relative to the default DESTDIR (if not). REDIRECT, if supplied,
is a string of the form '>&n', where n is the number of the file
descriptor which is to receive, instead of stdout, the name of the
newly created pk file."
+ usage=Usage: mktexpk [OPTIONS] NAME [REDIRECT],
  Create a PK font.

--dpi DPI           use resolution DPI.
--bdpi BDPI         use base resolution BDPI.
--mag MAG           use magnificiation MAG.
--mfmode MODE       use MODE as the METAFONT mode.
--destdir DESTDIR   write fonts in DESTDIR.

Try to create a PK file for NAME at resolution DPI, with an assumed
device base resolution of BDPI, and a Metafont `mag' of MAG. Use MODE
for the METAFONT mode.  Use DESTDIR for the root of where to install
into, either the absolute directory name to use (if it starts with a
/) or relative to the default DESTDIR (if not). REDIRECT, if supplied,
is a string of the form '>&n', where n is the number of the file
descriptor which is to receive, instead of stdout, the name of the
newly created pk file.

# Handle non-positional options, except for --version/--help
while test $# -gt 0; do
  case "$1" in
    --destdir) shift; DEST="$1"; shift ;;
    --destdir=*) DEST=`echo "$1" | sed 's/--destdir=//'`; shift ;;
    --dpi) shift; DPI="$1"; shift ;;
    --dpi=*) DPI=`echo "$1" | sed 's/--dpi=//'`; shift ;;
    --bdpi) shift; BDPI="$1"; shift ;;
    --bdpi=*) BDPI=`echo "$1" | sed 's/--bdpi=//'`; shift ;;
    --mfmode) shift; test "x$1" != "x/" && MODE="$1"; shift ;;
    --mfmode=*) test "x$1" != "x--mfmode/" \
                && MODE=`echo "$1" | sed 's/--mfmode=//'`; shift ;;
    --mag) shift; MAG="$1"; shift;;
    --mag=*) MAG=`echo "$1" | sed '/s--mag=//'`; shift;;
    --version|-version) break ;;
    --help|-help) break ;;
    *) break ;;
  esac
done
+ test 2 -gt 0
+ break

if test "x$2" != x; then
  tail="`echo \"x$2\" | sed 's/^x>&//' | grep '^[0-9]*$'`"
  if test -z "$tail"; then
    echo "$progname: argument '$2' ignored - bad file number" >&2
  elif test "$tail" != 1; then
      eval 'exec 1>&$tail'
  fi
fi
+ test x1200 '!=' x
echo "x$2" | sed 's/^x>&//' | grep '^[0-9]*$'
++ echo x1200
++ grep '^[0-9]*$'
+ tail=
+ test -z ''
+ echo 'mktexpk: argument '\''1200'\'' ignored - bad file number'
mktexpk: argument '1200' ignored - bad file number

mt_max_args=2
+ mt_max_args=2

# Common code for all scripts.
: ${MT_TEXMFMAIN=`kpsewhich --expand-path='$TEXMFMAIN'`}
kpsewhich --expand-path='$TEXMFMAIN'
++ kpsewhich '--expand-path=$TEXMFMAIN'
+ : /usr/local/texlive/2007/texmf
: ${MT_MKTEX_OPT=`kpsewhich --format='web2c files' mktex.opt`}
kpsewhich --format='web2c files' mktex.opt
++ kpsewhich '--format=web2c files' mktex.opt
+ : /usr/local/texlive/2007/texmf/web2c/mktex.opt
test -n "$MT_MKTEX_OPT" || MT_MKTEX_OPT="$MT_TEXMFMAIN/web2c/mktex.opt"
+ test -n /usr/local/texlive/2007/texmf/web2c/mktex.opt
if test ! -f "$MT_MKTEX_OPT"; then
  echo "$progname: Cannot find mktex.opt; check your installation." >&2
  exit 1
fi
+ test '!' -f /usr/local/texlive/2007/texmf/web2c/mktex.opt

. "$MT_MKTEX_OPT"
+ . /usr/local/texlive/2007/texmf/web2c/mktex.opt
# mktex.opt -- common mktex* options, etc.
# Meant to be sourced after $usage, $version, and $MT_TEXMFMAIN have been set.
# 
# te at dbs.uni-hannover.de and kb at mail.tug.org. Public domain.
# $Id: mktex.opt,v 1.36 2005/01/21 19:17:01 olaf Exp $
 
if test "x$1" = x--help || test "x$1" = x-help; then
  echo "$usage"
  exit 0
elif test "x$1" = x--version || test "x$1" = x-version; then
  echo "`basename $0` $version"
  kpsewhich --version
  exit 0
elif test $# -lt ${mt_min_args-1}; then
  echo "$0: Missing argument(s)." >&2
  echo "Try \``basename $0` --help' for more information." >&2
  exit 1
elif test $# -gt ${mt_max_args-1}; then
  num=$#
  while test $# -gt `expr $num - ${mt_max_args-1}`; do shift; done
  echo "$0: Extra arguments $*." >&2
  echo "Try \``basename $0` --help' for more information." >&2
  exit 1
fi
++ test xptmr8r = x--help
++ test xptmr8r = x-help
++ test xptmr8r = x--version
++ test xptmr8r = x-version
++ test 2 -lt 1
++ test 2 -gt 2

# MS-DOS and MS-Windows define $COMSPEC or $ComSpec and use `;' to separate
# directories in path lists whereas Unix uses `:'.  Make an exception for
# Cygwin, which pretends to be UNIX.
# Create a variable that holds the right character to be used by the scripts.
DOSISH=no
++ DOSISH=no
case `uname -s` in
  CYGWIN*|Cygwin*|cygwin*) ;;
  *) if test -n "$COMSPEC" || test -n "$ComSpec"; then DOSISH=yes; fi
esac
uname -s
+++ uname -s
++ test -n ''
++ test -n ''
if test "$DOSISH" = "no"; then SEP=':'; else SEP=';';fi
++ test no = no
++ SEP=:

# TEMPDIR needs to be unique to each process because of the possibility of two
# people running dvips (or whatever) simultaneously.
if test -n "$TMPDIR"; then
  TEMPDIR="${TMPDIR}/mt$$.tmp"
else
  TEMPDIR="/tmp/mt$$.tmp"
fi
++ test -n ''
++ TEMPDIR=/tmp/mt2568.tmp

# We want to output only filenames to standard output, but it's too
# error-prone to write the scripts that way, so we direct stdout here.
STDOUT="$TEMPDIR/mt$$.out"
++ STDOUT=/tmp/mt2568.tmp/mt2568.out

# We will change search paths to include $KPSE_DOT. This is necessary
# since we cd to $TEMPDIR.
: ${KPSE_DOT=`pwd`}; export KPSE_DOT
pwd
+++ pwd
++ : /home/hahe
++ export KPSE_DOT

# Clean up on normal or abnormal exit.
# The "cd /" is for MS-DOS and MS-Windows, where there is a separate
# current directory on each drive, and therefore "cd $KPSE_DOT" might
# still leave $TMPDIR current directory on its drive, in which case it
# cannot be removed.
trap 'rc=$?; cd /; cd "$KPSE_DOT"; test -f "$STDOUT" && cat "$STDOUT"; rm -rf "$TEMPDIR"; exit $rc' \
  0 1 2 3 7 13 15
++ trap 'rc=$?; cd /; cd "$KPSE_DOT"; test -f "$STDOUT" && cat "$STDOUT"; rm -rf "$TEMPDIR"; exit $rc' 0 1 2 3 7 13 15

(umask 077 && mkdir "$TEMPDIR") || exit 1
++ umask 077
++ mkdir /tmp/mt2568.tmp
cd "$TEMPDIR" || exit 1
++ cd /tmp/mt2568.tmp

# The alternative location for fonts.  The directory need not exist,
# so we use --expand-var here.  We also perform a sanity check.
: ${MT_VARTEXFONTS=`kpsewhich --expand-var='$VARTEXFONTS' | sed 's%^!!%%'`}
kpsewhich --expand-var='$VARTEXFONTS' | sed 's%^!!%%'
+++ kpsewhich '--expand-var=$VARTEXFONTS'
+++ sed 's%^!!%%'
++ : /home/hahe/.texlive2007/texmf-var/fonts
if test -z "$MT_VARTEXFONTS"; then
  echo "$0: VARTEXFONTS is not defined.  Defaulting to \`$KPSE_DOT'." >&2
  MT_VARTEXFONTS='$KPSE_DOT'
fi
++ test -z /home/hahe/.texlive2007/texmf-var/fonts

# The supporting scripts:
: ${MT_MKTEXNAM=`kpsewhich --format='web2c files' mktexnam`}
kpsewhich --format='web2c files' mktexnam
+++ kpsewhich '--format=web2c files' mktexnam
++ : /usr/local/texlive/2007/texmf/web2c/mktexnam
test -n "$MT_MKTEXNAM" || MT_MKTEXNAM="$MT_TEXMFMAIN/web2c/mktexnam"
++ test -n /usr/local/texlive/2007/texmf/web2c/mktexnam
: ${MT_MKTEXNAM_OPT=`kpsewhich --format='web2c files' mktexnam.opt`}
kpsewhich --format='web2c files' mktexnam.opt
+++ kpsewhich '--format=web2c files' mktexnam.opt
++ : /usr/local/texlive/2007/texmf/web2c/mktexnam.opt
test -n "$MT_MKTEXNAM_OPT" || MT_MKTEXNAM_OPT="$MT_TEXMFMAIN/web2c/mktexnam.opt"
++ test -n /usr/local/texlive/2007/texmf/web2c/mktexnam.opt
: ${MT_MKTEXDIR=`kpsewhich --format='web2c files' mktexdir`}
kpsewhich --format='web2c files' mktexdir
+++ kpsewhich '--format=web2c files' mktexdir
++ : /usr/local/texlive/2007/texmf/web2c/mktexdir
test -n "$MT_MKTEXDIR" || MT_MKTEXDIR="$MT_TEXMFMAIN/web2c/mktexdir"
++ test -n /usr/local/texlive/2007/texmf/web2c/mktexdir
: ${MT_MKTEXDIR_OPT=`kpsewhich --format='web2c files' mktexdir.opt`}
kpsewhich --format='web2c files' mktexdir.opt
+++ kpsewhich '--format=web2c files' mktexdir.opt
++ : /usr/local/texlive/2007/texmf/web2c/mktexdir.opt
test -n "$MT_MKTEXDIR_OPT" || MT_MKTEXDIR_OPT="$MT_TEXMFMAIN/web2c/mktexdir.opt"
++ test -n /usr/local/texlive/2007/texmf/web2c/mktexdir.opt
: ${MT_MKTEXUPD=`kpsewhich --format='web2c files' mktexupd`}
kpsewhich --format='web2c files' mktexupd
+++ kpsewhich '--format=web2c files' mktexupd
++ : /usr/local/texlive/2007/texmf/web2c/mktexupd
test -n "$MT_MKTEXUPD" || MT_MKTEXUPD="$MT_TEXMFMAIN/web2c/mktexupd"
++ test -n /usr/local/texlive/2007/texmf/web2c/mktexupd

# mktexupd and mktexlsr make sure they're coordinated via this.  A copy of
# the first string is found in mktexlsr.
ls_R_magic='% ls-R -- filename database for kpathsea; do not change this line.'
++ ls_R_magic=% ls-R -- filename database for kpathsea; do not change this line.
# Old ls-R files should continue to work.
old_ls_R_magic='% ls-R -- maintained by MakeTeXls-R; do not change this line.'
++ old_ls_R_magic=% ls-R -- maintained by MakeTeXls-R; do not change this line.

# Read defaults from mktex.cnf if that file exists. Can be used to
# overwrite anything defined below. Please use the same syntax as
# given here (e.g. ``: ${MODE=ljfour}'', not just ``MODE=ljfour'', as
# this can cause trouble (e.g. when the mode for mktexnam is
# already specified on the command line).
: ${MT_MKTEX_CNF=`kpsewhich --format='web2c files' mktex.cnf`}
kpsewhich --format='web2c files' mktex.cnf
+++ kpsewhich '--format=web2c files' mktex.cnf
++ : /usr/local/texlive/2007/texmf-config/web2c/mktex.cnf
test -n "$MT_MKTEX_CNF" && test -r "$MT_MKTEX_CNF" && . "$MT_MKTEX_CNF"
++ test -n /usr/local/texlive/2007/texmf-config/web2c/mktex.cnf
++ test -r /usr/local/texlive/2007/texmf-config/web2c/mktex.cnf
++ . /usr/local/texlive/2007/texmf-config/web2c/mktex.cnf
: ${MT_FEATURES=appendonlydir:varfonts}
+++ : appendonlydir:varfonts
: ${MODE=ljfzzz}
+++ : ljfzzz
: ${BDPI=1200}
+++ : 1200

# Possible features: appendonlydir dosnames fontmaps nomfdrivers nomode
#                    stripsupplier striptypeface texmfvar varfonts.
if test "$DOSISH" = "yes"; then
  : ${MT_FEATURES=appendonlydir:dosnames}
else
  : ${MT_FEATURES=appendonlydir}
fi
++ test no = yes
++ : appendonlydir:varfonts
: ${MODE=ljfour}
++ : ljfzzz
: ${BDPI=600}
++ : 1200
: ${DPI=600}
++ : 600
: ${MAG=1.0}
++ : 1.0
: ${ps_to_pk=gsftopk} # some prefer ps2pk
++ : gsftopk

# Allow fonts to be read and written (especially in case we make
# directories) by everyone.
umask 0
++ umask 0

# Cache values that may be useful for recursive calls.
export MT_MKTEX_OPT MT_MKTEX_CNF 
++ export MT_MKTEX_OPT MT_MKTEX_CNF
export MT_MKTEXNAM MT_MKTEXNAM_OPT
++ export MT_MKTEXNAM MT_MKTEXNAM_OPT
export MT_MKTEXDIR MT_MKTEXDIR_OPT
++ export MT_MKTEXDIR MT_MKTEXDIR_OPT
export MT_MKTEXUPD
++ export MT_MKTEXUPD
export MT_TEXMFMAIN MT_VARTEXFONTS
++ export MT_TEXMFMAIN MT_VARTEXFONTS

# Where do potential driver files belong?
case "$MT_FEATURES" in
  *nomfdrivers*)
     : ${MT_MFDESTDIR=`pwd`}
     export MT_MFDESTDIR;;
esac

# Since we want to pass the generated filename and only that filename
# back to the caller on standard output, we do some redirections so
# regular echo's will end up on stderr, and do an echo >$STDOUT at the end.
# Then the contents of $STDOUT will be echoed to stdout by a trap.

# start of redirection stdout -> stderr, stdin <- /dev/null
(

NAME=$1

if kpsewhich $NAME.mf >/dev/null 2>&1 || mktexmf $NAME >/dev/null 2>&1; then
  # determine the progname of metafont to use; prefer mf-nowin.
  if (mf-nowin --version) >/dev/null 2>&1; then
    MF="mf-nowin -progname=mf"
  else
    MF=mf
  fi

  # Check that $BDPI and $MODE are consistent; if not, ignore the mode and
  # hope we can correctly guess it from bdpi.  (People like to specify the
  # resolution on the command line, not the mode so much.)
  if test -n "$MODE"; then
    mf_bdpi=`$MF \
'\mode:='$MODE';mode_setup;message"BDPI= "&decimal round pixels_per_inch;end.'\
             </dev/null \
             | awk '/DPI=/ {print $2}'`
    if test "x$mf_bdpi" != x$BDPI; then
      echo "$progname: Mismatched mode $MODE and resolution $BDPI; ignoring mode." >&2
      MODE=
    fi
  fi

  # If an explicit mode is not supplied, try to guess. You can get a
  # list of extant modes from ftp://ftp.tug.org/tex/modes.mf.
  if test -z "$MODE" || test "x$MODE" = xdefault; then
    case "$BDPI" in
      85) MODE=sun;;
     100) MODE=nextscrn;;
     180) MODE=toshiba;;
     300) MODE=cx;;
     360) MODE=epstylus;;
     400) MODE=nexthi;;
     600) MODE=ljfour;;
     720) MODE=epsczz;;
    1200) MODE=ultre;;
    1270) MODE=linoone;;
    8000) MODE=dpdfezzz;;
       *) echo "$progname: Can't guess mode for $BDPI dpi devices." >&2
          echo "$progname: Use a config file or option to specify the mode; see:" >&2
          echo "$progname: http://tug.org/texinfohtml/kpathsea.html#Unable-to-generate-fonts" >&2
          exit 1
    esac
  fi

  # Run Metafont. Always use plain Metafont, since reading cmbase.mf
  # does not noticeably slow things down.
  cmd="$MF \mode:=$MODE; mag:=$MAG; nonstopmode; input $NAME"
else
  MODE=modeless
  # ps_to_pk is set in mktex.opt
  case $ps_to_pk in
    gsftopk)
      if $ps_to_pk -t "$NAME"; then
        cmd="$ps_to_pk $NAME $DPI"
      fi;;
    ps2pk)
      # grep for the font in $PSMAPFILE.  These are base font names, such as
      # rpplr (the original) or pplr0 (an interim step) or pplr8r (current).
      : ${PSMAPFILE=`kpsewhich --format=map psfonts.map ps2pk.map`}
      pattern="^$NAME"'([ 	]|$)' 
      psline=`egrep "$pattern" $PSMAPFILE | tail -1`
      if test -n "$psline"; then
        set x `echo "$psline" | sed 's%[<["]%%g'`
        shift; shift; shift;
        encoding=; psname=; slant=; extend=
        while test ! -z "$1"; do
          case "$1" in
            *.enc)       encoding="-e $1";;
            *.pf[ab])    psname="$1";;
            *SlantFont)  slant="-S $lastopt";;
            *ExtendFont) extend="-E $lastopt";;
          esac
          lastopt="$1"
          shift
        done
        # Guessing the name of the type1 font file as fallback:
        ANAME=`echo $NAME | sed 's/8r$/8a/'`
        for i in $NAME.pfa $NAME.pfb $ANAME.pfa $ANAME.pfb; do
          if kpsewhich $i >/dev/null 2>&1; then
            psname=$i
            break
          fi
        done

        if [ -n "$psname" ]; then
          cmd="ps2pk -v -X$DPI -R$BDPI $slant $extend $encoding $psname $NAME.${DPI}pk"
        else
          if gsftopk -t "$NAME"; then
            echo "$progname: cannot find $NAME.pfa or $NAME.pfb. Trying gsftopk." >&2
            cmd="gsftopk $NAME $DPI"
          fi
        fi
      fi;;
  esac

  # unsupported by $ps_to_pk, try other conversions:
  if test -z "$cmd"; then
    if (ttf2pk -t -q $NAME) >/dev/null 2>&1; then
      cmd="ttf2pk -q $NAME $DPI"
    elif (hbf2gf -t -q $NAME) >/dev/null 2>&1; then
      cmd="hbf2gf -q -p $NAME $DPI"
    else
      echo "$progname: don't know how to create bitmap font for $NAME." >&2
      exit 1
    fi
  fi
fi

OIFS=$IFS; IFS=$SEP
set x `"$MT_MKTEXNAM" $NAME $DPI $MODE $DEST`; shift
IFS=$OIFS

PKDEST="$1"
PKDESTDIR=`echo "$PKDEST" | sed 's%/[^/][^/]*$%%'` # can't rely on dirname
PKNAME=`basename "$PKDEST"`
GFNAME=$NAME.${DPI}gf

if test -r "$PKDESTDIR/$PKNAME"; then
  echo "$progname: $PKDESTDIR/$PKNAME already exists." >&2
  echo "$PKDESTDIR/$PKNAME" >$STDOUT
  "$MT_MKTEXUPD" "$PKDESTDIR" $PKNAME
  exit 0
fi

"$MT_MKTEXDIR" "$PKDESTDIR"
if test ! -d "$PKDESTDIR"; then
  echo "$progname: mktexdir $PKDESTDIR failed." >&2
  exit 1
fi

echo "$progname: Running $cmd"
$cmd </dev/null || {
  # Don't abort if only "Strange path", "bad pos" or "angle(0,0)"
  # errors occurr.
  grep '^!' $NAME.log | sort >$$.errs 2>/dev/null
  grep '^! Strange path' $$.errs >$$.strange 2>/dev/null
  grep '^! bad pos.' $$.errs >$$.badpos 2>/dev/null
  grep '^! angle(0,0) is taken as zero.' $$.errs >$$.angle 2>/dev/null
  cat $$.badpos $$.strange $$.angle | sort > $$.errs_accept
  if cmp $$.errs $$.errs_accept >/dev/null 2>&1; then
    test -s $$.strange >/dev/null 2>&1 \
      && echo "$progname: warning: \`$cmd' caused strange path errors." >&2
    test -s $$.badpos >/dev/null 2>&1 \
      && echo "$progname: warning: \`$cmd' caused bad pos errors." >&2
    test -s $$.angle >/dev/null 2>&1 \
      && echo "$progname: warning: \`$cmd' caused angle(0,0) errors." >&2
  else
    echo "$progname: \`$cmd' failed." >&2
    test -s $NAME.log && mv -f $NAME.log "$KPSE_DOT"
    exit 1;
  fi
}

test -r $GFNAME && { gftopk ./$GFNAME $PKNAME || exit 1; }
test ! -f $PKNAME && test -f $NAME.${DPI}pk && mv $NAME.${DPI}pk $PKNAME
if test ! -s $PKNAME; then
  echo "$progname: \`$cmd' failed to make $PKNAME." >&2
  exit 1
fi

# Install the PK file carefully, since others may be working simultaneously.
# Use cp when mv fails, since DOS will fail mv for deeply-nested directories.
mv $PKNAME "$PKDESTDIR/pk$$.tmp" 2>/dev/null \
  || cp $PKNAME "$PKDESTDIR/pk$$.tmp" || exit 1
cd $PKDESTDIR || exit 1
chmod `kpsestat -xst,go-w .` pk$$.tmp
test -r $PKNAME || mv pk$$.tmp $PKNAME || exit 1

# Update ls-R if necessary.
"$MT_MKTEXUPD" "$PKDESTDIR" $PKNAME

# If this line (or an equivalent) is not present, dvipsk/xdvik/dviljk
# will think mktexpk failed.  Any other output to stdout will also lose.
echo "$PKDESTDIR/$PKNAME" >$STDOUT
echo "$progname: $PKDESTDIR/$PKNAME: successfully generated." >&2
) 1>&2 </dev/null
+ NAME=ptmr8r
+ kpsewhich ptmr8r.mf
+ mktexmf ptmr8r
+ MODE=modeless
+ gsftopk -t ptmr8r
+ cmd=gsftopk ptmr8r 600
+ test -z 'gsftopk ptmr8r 600'
+ OIFS= 	

+ IFS=:
"$MT_MKTEXNAM" $NAME $DPI $MODE $DEST
++ /usr/local/texlive/2007/texmf/web2c/mktexnam ptmr8r 600 modeless
+ set x /home/hahe/texmf/fonts/pk/modeless/adobe/times/ptmr8r.600pk /home/hahe/texmf/fonts/tfm/adobe/times/ptmr8r.tfm /home/hahe/texmf/fonts/source/adobe/times/ptmr8r.mf
+ shift
+ IFS= 	

+ PKDEST=/home/hahe/texmf/fonts/pk/modeless/adobe/times/ptmr8r.600pk
echo "$PKDEST" | sed 's%/[^/][^/]*$%%'
++ echo /home/hahe/texmf/fonts/pk/modeless/adobe/times/ptmr8r.600pk
++ sed 's%/[^/][^/]*$%%'
+ PKDESTDIR=/home/hahe/texmf/fonts/pk/modeless/adobe/times
basename "$PKDEST"
++ basename /home/hahe/texmf/fonts/pk/modeless/adobe/times/ptmr8r.600pk
+ PKNAME=ptmr8r.600pk
+ GFNAME=ptmr8r.600gf
+ test -r /home/hahe/texmf/fonts/pk/modeless/adobe/times/ptmr8r.600pk
+ /usr/local/texlive/2007/texmf/web2c/mktexdir /home/hahe/texmf/fonts/pk/modeless/adobe/times
+ test '!' -d /home/hahe/texmf/fonts/pk/modeless/adobe/times
+ echo 'mktexpk: Running gsftopk ptmr8r 600'
mktexpk: Running gsftopk ptmr8r 600
+ gsftopk ptmr8r 600
gsftopk(k) version 1.19.2/856
[1] [2] [3] [4] [5] [6] [7] [8] [9] [11] [12] [14] [15] [16] [17] [30] [31]
[32] [33] [34] [35] [36] [37] [38] [39] [40] [41] [42] [43] [44] [45] [46] [47]
[48] [49] [50] [51] [52] [53] [54] [55] [56] [57] [58] [59] [60] [61] [62] [63]
[64] [65] [66] [67] [68] [69] [70] [71] [72] [73] [74] [75] [76] [77] [78] [79]
[80] [81] [82] [83] [84] [85] [86] [87] [88] [89] [90] [91] [92] [93] [94] [95]
[96] [97] [98] [99] [100] [101] [102] [103] [104] [105] [106] [107] [108] [109]
[110] [111] [112] [113] [114] [115] [116] [117] [118] [119] [120] [121] [122]
[123] [124] [125] [126] [130] [131] [132] [133] [134] [135] [136] [137] [138]
[139] [140] [147] [148] [149] [150] [151] [152] [153] [154] [155] [156] [159]
[161] [162] [163] [164] [165] [166] [167] [168] [169] [170] [171] [172] [173]
[174] [175] [176] [177] [178] [179] [180] [181] [182] [183] [184] [185] [186]
[187] [188] [189] [190] [191] [192] [193] [194] [195] [196] [197] [198] [199]
[200] [201] [202] [203] [204] [205] [206] [207] [208] [209] [210] [211] [212]
[213] [214] [215] [216] [217] [218] [219] [220] [221] [222] [223] [224] [225]
[226] [227] [228] [229] [230] [231] [232] [233] [234] [235] [236] [237] [238]
[239] [240] [241] [242] [243] [244] [245] [246] [247] [248] [249] [250] [251]
[252] [253] [254] [255]
+ test -r ptmr8r.600gf
+ test '!' -f ptmr8r.600pk
+ test '!' -s ptmr8r.600pk
+ mv ptmr8r.600pk /home/hahe/texmf/fonts/pk/modeless/adobe/times/pk2568.tmp
+ cd /home/hahe/texmf/fonts/pk/modeless/adobe/times
kpsestat -xst,go-w .
++ kpsestat -xst,go-w .
+ chmod 644 pk2568.tmp
+ test -r ptmr8r.600pk
+ mv pk2568.tmp ptmr8r.600pk
+ /usr/local/texlive/2007/texmf/web2c/mktexupd /home/hahe/texmf/fonts/pk/modeless/adobe/times ptmr8r.600pk
+ echo /home/hahe/texmf/fonts/pk/modeless/adobe/times/ptmr8r.600pk
+ echo 'mktexpk: /home/hahe/texmf/fonts/pk/modeless/adobe/times/ptmr8r.600pk: successfully generated.'
mktexpk: /home/hahe/texmf/fonts/pk/modeless/adobe/times/ptmr8r.600pk: successfully generated.
rc=$?; cd /; cd "$KPSE_DOT"; test -f "$STDOUT" && cat "$STDOUT"; rm -rf "$TEMPDIR"; exit $rc
+ rc=0
+ cd /
+ cd /home/hahe
+ test -f /tmp/mt2568.tmp/mt2568.out
+ cat /tmp/mt2568.tmp/mt2568.out
/home/hahe/texmf/fonts/pk/modeless/adobe/times/ptmr8r.600pk
+ rm -rf /tmp/mt2568.tmp
+ exit 0


More information about the tex-live mailing list